Mailinglist Archive: opensuse-updates (119 mails)

< Previous Next >
openSUSE-SU-2013:0540-1: moderate: pigz: fixed unpacking permissions
openSUSE Security Update: pigz: fixed unpacking permissions
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:0540-1
Rating: moderate
References: #803933
Cross-References: CVE-2013-0296
Affected Products:
openSUSE 12.3
openSUSE 12.2
openSUSE 12.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


pigz incorrectly used world writeable permissions during
unpacking (CVE-2013-0296).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-258

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-258

- openSUSE 12.1:

zypper in -t patch openSUSE-2013-258

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

pigz-2.2.5-2.4.1
pigz-debuginfo-2.2.5-2.4.1
pigz-debugsource-2.2.5-2.4.1

- openSUSE 12.2 (i586 x86_64):

pigz-2.1.6-9.4.1
pigz-debuginfo-2.1.6-9.4.1
pigz-debugsource-2.1.6-9.4.1

- openSUSE 12.1 (i586 x86_64):

pigz-2.1.6-5.4.1
pigz-debuginfo-2.1.6-5.4.1
pigz-debugsource-2.1.6-5.4.1


References:

http://support.novell.com/security/cve/CVE-2013-0296.html
https://bugzilla.novell.com/803933


< Previous Next >
This Thread
  • No further messages